name: WhatsAppAnalyzer
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  developmentLanguage: pt-BR

settings:
  base:
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_STYLE: Automatic
    SWIFT_VERSION: "5.9"

targets:
  WhatsAppAnalyzer:
    type: application
    platform: macOS
    sources:
      - path: Sources
        excludes:
          - Bridge
    resources:
      - path: Resources
        excludes:
          - "*.go"
          - "go.mod"
          - "go.sum"
      - path: Sources/Assets.xcassets
    dependencies:
      - framework: Speech.framework
        embed: false
      - sdk: libsqlite3.tbd
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.whatsapp-analyzer
        INFOPLIST_FILE: Sources/Info.plist
        PRODUCT_NAME: WhatsApp Analyzer
        MACOSX_DEPLOYMENT_TARGET: "14.0"
        CODE_SIGN_ENTITLEMENTS: Sources/WhatsAppAnalyzer.entitlements
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
    info:
      path: Sources/Info.plist
      properties:
        CFBundleName: WhatsApp Analyzer
        CFBundleDisplayName: WhatsApp Analyzer
        CFBundleIdentifier: $(PRODUCT_BUNDLE_IDENTIFIER)
        CFBundleVersion: $(CURRENT_PROJECT_VERSION)
        CFBundleShortVersionString: $(MARKETING_VERSION)
        CFBundlePackageType: APPL
        CFBundleExecutable: $(EXECUTABLE_NAME)
        LSMinimumSystemVersion: $(MACOSX_DEPLOYMENT_TARGET)
        NSHumanReadableCopyright: "© 2025 NEOG"
        LSApplicationCategoryType: public.app-category.productivity
        NSSpeechRecognitionUsageDescription: "WhatsApp Analyzer precisa de acesso ao reconhecimento de fala para transcrever mensagens de áudio."
        NSMicrophoneUsageDescription: "WhatsApp Analyzer precisa de acesso ao microfone para reconhecimento de fala."
    entitlements:
      path: Sources/WhatsAppAnalyzer.entitlements
      properties:
        com.apple.security.app-sandbox: false
        com.apple.security.files.user-selected.read-write: true
        com.apple.security.automation.apple-events: true
